Subject: bug#51819: The Senselessness of Emacs Company Mode

From: irenezerafa <[email-masked]>
Date: Wed, 17 Nov 2021 02:53:50 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Wednesday, November 17th, 2021 at 2:30 AM, Drew Adams <[email-masked]> wrote:

> > I am very interested in completion of words as I write documents.
>
> Caveat: I'm not following this thread. I just
> happened upon that sentence.

Mostly interested in completion mechanisms that do not require me to
install packages, as I consider completion to be such a basic functionality
that it should be installed by default, unless one decides excludes to exclude
it.  More for new users, because I am mainly using company-mode.

> Wrt your expressed interest, I assume you already
> know about `dabbrev'. You might also be interested in the very old library` completion.el'. It's still part of Emacs and still
> useful, precisely for what you describe: completing
> words you actually use when writing <whatever>.

There is also abbrev-mode.  There is just too many versions and too many to try out.  That's my basic
complaint.  The pop-up window is the most valuable for fast typers and writers.

> The "doc" for it is a rambling description in the
> file header, but it's simple and understandable.
> There's nothing fancy at all, and you might find it
> quaint, but it can be quite useful. You can pretty
> much complete everything you type. It has a
> dabbrev-like behavior, but it can also automatically
> persist words you've used etc.

> I'd say give it a try. You just might find it useful.

> `M-x find-library completion'.